#!/bin/bash
fOutFile ile="dxc_2023_08_14.zip"
file="linux_dxc_2023_08_14.x86_64.tar.gz"

if [! -d contrib]; then
    echo "Could not find 'contrib'. Make sure to run this script from the projects root directory."
    exit 1;
fi

mkdir -p contrib/dxc
wget https://github.com/microsoft/DirectXShaderCompiler/releases/download/v1.7.2308/$file -O contrib/dxc/$file
tar xzf contrib/dxc/$file -C contrib/dxc
rm contrib/dxc/$file

# Match windows version 
mv contrib/dxc/include contrib/dxc/inc
mv contrib/dxc/inc/dxc/*.h contrib/dxc/inc
rm -r contrib/dxc/inc/dxc
